Package org.codehaus.groovy.vmplugin.v10

# Class PluginDefaultGroovyMethods

java.lang.Object
org.codehaus.groovy.vmplugin.v10.PluginDefaultGroovyMethods

public class PluginDefaultGroovyMethods extends Object
Defines new Groovy methods which appear on normal JDK 10 classes inside the Groovy environment.

Since:
  4.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginDefaultGroovyMethods()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getPid(Runtime self)`
  Get the pid of the current Java process

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginDefaultGroovyMethods

    public PluginDefaultGroovyMethods()

- ## Method Details

  - ### getPid

    public static String getPid(Runtime self)
    Get the pid of the current Java process
    Parameters:
      `self` -
    Returns:
      the pid
    Since:
      4.0.0